@import url(https://fonts.googleapis.com/css?family=Permanent+Marker);

/* MAINCOLUMNIN CONTAINERIT */
.MainColumn {
    grid-area: maincolumn;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    text-align: center;
    padding: 20px;
    background-color: #588eb6;
    border: ridge 10px rgb(29, 77, 118);
}

.MainColumnContainer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 20px;
    color: wheat;
}

.MainColumnContainer p {
    margin: auto;
    padding: 0;
}

 /* YKSITTÄISEN KIRJAN CSS*/
.bookInfo {
    height: 450px;
    border-radius: 5px;
    padding: 10px;
    transform-style: preserve-3d;
    transform: translateZ(0) rotateY(0);
    transition: transform 1s;
    align-items: center;
    display: flex;
    flex-direction: column;
    position: relative;
    margin: 0 2px;
}

.side {
    position: absolute;
    border-radius: 3px;
    text-align: center;
    transform-origin: center left;
}

.spine {
    position: relative;
    width: 130px;
    height: 450px;
    /* Patterns from: https://projects.verou.me/css3patterns/ */
    transform: rotateY(0deg) translateZ(0px);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 10px;
}

/* SELKÄMYKSEN ERI ALUEIDEN (author, keskikolumni ja ikoni) MUOTOILUT */
.bookAuthor {
    border: 5px double rgb(231, 215, 73);
    width: 90%;
    padding: 5%;
}

.bookCenterColumn {
    border: 5px double rgb(231, 215, 73);
    align-items: center;
    padding: 5%;
    width: 90%;
    flex-grow: 2;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: auto;
}

.icons {
    border: 5px double rgb(231, 215, 73);
    width: 90%;
    display: grid;
    align-items: center;
    justify-content: center;
    padding: 5%;
}


/* GENRE-SPESIFIT MUOTOILUT */
.Children {
    background-color: #a85f40ff;
    font-family: Patrick Hand;
}

.Fantasy {
    background-color: #38761dff;
    font-family: Spectral;
}

.History {
    background-color: #90623bff;
    font-family: 'Times New Roman', Times, serif;
}

.Horror {
    background-color: #71533aff;
    font-family: "Bona Nova SC", serif;
    font-weight: 300;
    font-size: 11pt;
}

.Mystery {
    background-color: #71533aff;
    font-family: Merriweather;
    font-weight: 300;
    font-size: 10pt;
}

.Philosophy {
    background-color: #38761dff;
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 11pt;
}

.Romance {
    background-color: #a85f40ff;
    font-family: Caveat;
    font-size: 15pt;
}

.Sci-fi {
    background-color: #38761dff;
    font-family: Martian Mono;
    font-optical-sizing: auto;
    font-weight: 200;
    font-style: normal;
    font-size: 8pt;
}

.Self-help {
    background-color: #8d4527ff;
    font-family: Arsenal SC;
    font-weight: 300;
}

.Western {
    background-color: #71533aff;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

.iconImg {
    font-size: 35pt;
    color: wheat;
    padding: 10px;
}

/* KIRJOJEN SISÄLLÄ OLEVAT NAPPULAT */
.loanButton {
    border-radius: 4px;
    border: 0.5px solid #422D25;
    color: #392720;

}
.loanButton:hover{
    background-color: rgb(231, 215, 73);
}
.loanButton:active{
    background-color: rgb(228, 209, 43);
}
.loanButton:disabled{
    opacity: 0.3;
}

/* KIRJOJEN SELAILU SIVUITTAIN (search inputin css omassa tiedostossa) */
.navigation {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.navigationBtn{
   padding: 2px;
   background-color: #588eb6;
   border:none;
}
.navigationBtn:hover{
    background-color: rgba(29, 77, 118, 0.34);
}

.totalBooksCounter{
    width: fit-content;
    
}

/* YKSITTÄISEN KIRJAN ANIMAATIO */
/* YLÄREUNA, "KIRJAN SIVUT" */
.top {
    width: 150px;
    height: 190px;
    top: -2px;
    /* hmm, why -2 and not 0? */
    background-image: linear-gradient(90deg, white 90%, gray 10%);
    background-size: 5px 5px;
    transform: rotateX(90deg) translateZ(95px) translateY(-95px);
}

/* KIRJAN KANSI */
.cover {
    width: 210px;
    height: 450px;
    top: 0px;
    border-left: solid 6px #422D25;
    border-radius: 0 5px 5px 0;
    background-size: contain;
    background-repeat: round;
    left: 145px;
    transform: rotateY(90deg) translateZ(0);
    transition: transform 1s;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-shadow: 5px 5px 5px rgb(52, 51, 51);
}

/* ANIMAATIO, LAINATTU KIRJA LIIKKUU HYLLYSTÄ */
.loaned-book {
    z-index: 1;
    transform: rotateX(-25deg) rotateY(-40deg) rotateZ(-15deg) translateY(50px) translateX(-30px);
}


/* SEINÄHYLLY, JONKA PÄÄLLÄ KIRJAT */
.shelf {
    top: 72vmin;
    width: 100%;
    height: 64vmin;
    background:
        linear-gradient(#5D1E20 2vmin, transparent 0.2vmin),
        linear-gradient(75deg, transparent 40%, #9D5B4B 41% 68%, transparent 66%) 5% 0vmin /12.8vmin 16vmin,
        linear-gradient(-75deg, transparent 40%, #9D5B4B 41% 68%, transparent 66%) 95% 0vmin /12.8vmin 16vmin,
        linear-gradient(75deg, transparent 50%, #5D1E20 51%) 5% 0 /11.6vmin 16vmin,
        linear-gradient(-75deg, transparent 50%, #5D1E20 51%) 95% 0 /11.6vmin 16vmin;
    background-repeat: no-repeat;
}

/* post-it lappu */
.post-it {
    width:250px;
  height:240px;
  position:relative;
  background:#ffa;
  overflow:hidden;
  margin:30px auto;
  padding:20px;
  border-radius:0 0 0 30px/45px;
  box-shadow:
    inset 0 -40px 40px rgba(0,0,0,0.2),
    inset 0 25px 10px rgba(0,0,0,0.2),
    0 5px 6px 5px rgba(0,0,0,0.2);
  font-family: 'Permanent Marker', cursive;
  line-height:1.7em;
  font-size:19px;
  color:#71533aff;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.post-it:before {
 	content:"";
  display:block;
  position:absolute;
  width:20px;
  height:25px;
  background:#ffa;
  box-shadow:
    3px -2px 10px rgba(0,0,0,0.2),
    inset 15px -15px 15px rgba(0,0,0,0.3);
  left:0;
  bottom:0;
  z-index:2;
  transform:skewX(25deg);
}
